### Hierarchy

- BaseSchemaField
  - BaseSchemaCombine

### Implements

- TypeParams

## Index

### Constructors

- constructor

### Properties

- additionalProperties
- definitions
- description
- properties
- required
- type

## Constructors

### constructor

- new BaseSchemaCombine(definitions: BaseSchemaCombineDefinitions): BaseSchemaCombine

- Overrides BaseSchemaField.constructor

  - Defined in utils/types/BaseSchema.ts:128

  #### Parameters

  - ##### definitions: BaseSchemaCombineDefinitions

  #### Returns BaseSchemaCombine

## Properties

### Optional additionalProperties

additionalProperties: boolean

Inherited from BaseSchemaField.additionalProperties

- Defined in utils/types/BaseSchema.ts:9

### definitions

definitions: BaseSchemaCombineDefinitions

- Defined in utils/types/BaseSchema.ts:127

### Optional description

description: string

Inherited from BaseSchemaField.description

- Defined in utils/types/BaseSchema.ts:7

### properties

properties: BaseSchemaCombineProps = new BaseSchemaCombineProps()

- Defined in utils/types/BaseSchema.ts:128

### Optional required

required: Array<string>

Inherited from BaseSchemaField.required

- Defined in utils/types/BaseSchema.ts:8

### type

type: string

Inherited from BaseSchemaField.type

- Defined in utils/types/BaseSchema.ts:6

Generated using TypeDoc